import { EntityRepository, Repository } from "typeorm";
import { UpdateAboutPageHeaderCmsDto } from "./dto/update-about-page-header-cms.dto";
import { AboutPageHeaderCmsEntity } from "./entities/about-page-header-cms.entity";

@EntityRepository(AboutPageHeaderCmsEntity)
export class AboutPageHeaderCmsRepository extends Repository<AboutPageHeaderCmsEntity> {

    async createEntity(dto: UpdateAboutPageHeaderCmsDto): Promise<AboutPageHeaderCmsEntity | Error> {
        try {
            const entity = this.create({
                image: dto.image,
                titleOne: dto.titleOne,
                titleTwo: dto.titleTwo,
                description: dto.description,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateAboutPageHeaderCmsDto, id: string): Promise<AboutPageHeaderCmsEntity | Error> {
        try {
            await this.update(id, {
                image: dto.image,
                titleOne: dto.titleOne,
                titleTwo: dto.titleTwo,
                description: dto.description,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<AboutPageHeaderCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}