import { Module } from "@nestjs/common";
import { TypeOrmModule } from "@nestjs/typeorm";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { FileUploadsService } from "src/modules/file-uploads/file-uploads.service";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { BenefitsSectionCmsRepository } from "./benefits-section-cms.repository";
import { BenefitsSectionCmsController } from "./benefits-section-cms.controller";
import { BenefitsSectionCmsService } from "./benefits-section-cms.service";
import { BenefitsContentRepository } from "../../benefits-content/benefits-content.repository";
import {
    BenefitsSectionLearnMoreRepository
} from "../../benefits-section-learn-more/benefits-section-learn-more.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([BenefitsSectionCmsRepository, BenefitsContentRepository, BenefitsSectionLearnMoreRepository])
    ],
    controllers: [BenefitsSectionCmsController],
    providers: [BenefitsSectionCmsService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class BenefitsSectionCmsModule {
}