import { EntityRepository, Repository } from "typeorm";
import { UpdateCookiesSettingsCmsDto } from "./dto/update-cookies-settings-cms.dto";
import { CookiesSettingsCms } from "./entities/cookies-settings-cms.entity";

@EntityRepository(CookiesSettingsCms)
export class CookiesSettingsCmsRepository extends Repository<CookiesSettingsCms> {

    async createEntity(dto: UpdateCookiesSettingsCmsDto): Promise<CookiesSettingsCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                description: dto.description
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateCookiesSettingsCmsDto, id: string): Promise<CookiesSettingsCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                description: dto.description
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<CookiesSettingsCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}