import { EntityRepository, Repository } from "typeorm";
import { UpdateHomePageCommonBannerCmsDto } from "./dto/update-home-page-common-banner-cms.dto";
import { HomePageCommonBannerCms } from "./entities/home-page-common-banner-cms.entity";

@EntityRepository(HomePageCommonBannerCms)
export class HomePageCommonBannerCmsRepository extends Repository<HomePageCommonBannerCms> {

    async createEntity(dto: UpdateHomePageCommonBannerCmsDto): Promise<HomePageCommonBannerCms | Error> {
        try {
            const entity = this.create({
                // stateCode: dto.stateCode,
                // stateName: dto.stateName,
                title: dto.title,
                subTitle: dto.subTitle,
                image: dto.image,
                imageBackgroundColor: dto.imageBackgroundColor,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                isImageOrColor: dto.isImageOrColor,
                buttonBgColor: dto.buttonBgColor,
                buttonFontColor: dto.buttonFontColor,

                // isDefault: dto.isDefault
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHomePageCommonBannerCmsDto, id: string): Promise<HomePageCommonBannerCms | Error> {
        try {
            await this.update(id, {
                // stateCode: dto.stateCode,
                // stateName: dto.stateName,
                title: dto.title,
                subTitle: dto.subTitle,
                image: dto.image,
                imageBackgroundColor: dto.imageBackgroundColor,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                isImageOrColor: dto.isImageOrColor,
                buttonBgColor: dto.buttonBgColor,
                buttonFontColor: dto.buttonFontColor,
                // isDefault: dto.isDefault
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePageCommonBannerCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }

    async findByStateCode(stateCode: string): Promise<any | Error> {
        try {
            const data = await this.find({
                // stateCode: stateCode,
                isDeleted: false
            })
            // if(Object.keys(data).length === 0) {
            //     data = await this.find({
            //         isDefault: true,
            //         isDeleted: false
            //     });
            //     if(Object.keys(data).length === 0) {
            //         data = await this.find({
            //             isDeleted: false
            //         });
            //     }
            // }
            return data;
        } catch (e) {
            return e;
        }
    }
}