import { Body, Controller, Get, HttpCode, HttpStatus, Post, Query, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { UpdateHomePageSectionFiveCmsDto } from "./dto/update-home-page-section-five-cms.dto";
import { HomePageSectionFiveCmsService } from "./home-page-section-five-cms.service";

@Controller({ path: "home-page-section-five-cms", version: Constants.API_VERSION_1 })

export class HomePageSectionFiveCmsController {
    constructor(private readonly service: HomePageSectionFiveCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateHomePageSectionFiveCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    // findAll(@Query("stateCode") stateCode: string) {
    findAll() {
        return this.service.findAll();
    }
}
