import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { HowToEnjoyCmsService } from "./how-to-enjoy-cms.service";
import { UpdateHowToEnjoyCmsDto } from "./dto/update-how-to-enjoy-cms.dto";

@Controller({ path: "how-to-enjoy-cms", version: Constants.API_VERSION_1 })

export class HowToEnjoyCmsController {
    constructor(private readonly service: HowToEnjoyCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateHowToEnjoyCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
