import { Body, Controller, Get, HttpCode, HttpStatus, Post, Query, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { InstagramSectionCmsService } from "./instagram-section-cms.service";
import { UpdateInstagramSectionCmsDto } from "./dto/update-instagram-section-cms.dto";

@Controller({ path: "instagram-section-cms", version: Constants.API_VERSION_1 })

export class InstagramSectionCmsController {
    constructor(private readonly service: InstagramSectionCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateInstagramSectionCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    // findAll(@Query("stateCode") stateCode: string) {
    findAll() {
        return this.service.findAll();
    }
}
