import { Module } from "@nestjs/common";
import { TypeOrmModule } from "@nestjs/typeorm";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { productDetailsPageMetaRepository } from "./product-details-page-meta.repository";
import { productDetailsPageMetaController } from "./product-details-page-meta.controller";
import { productDetailsPageMetaService } from "./product-details-page-meta.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([productDetailsPageMetaRepository])
    ],
    controllers: [productDetailsPageMetaController],
    providers: [productDetailsPageMetaService, JwtHelper]
})
export class productDetailsPageMetaModule {
}