import { EntityRepository, Repository } from "typeorm";
import { productDetailsPageMetaDto } from "./dto/product-details-page-meta.dto";
import { productDetailsPageMeta } from "./entities/product-details-page-meta.entity";

@EntityRepository(productDetailsPageMeta)
export class productDetailsPageMetaRepository extends Repository<productDetailsPageMeta> {

    async createEntity(dto: productDetailsPageMetaDto): Promise<productDetailsPageMeta | Error> {
        try {
            const entity = this.create({ ...dto });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: productDetailsPageMetaDto, id: string): Promise<productDetailsPageMeta | Error> {
        try {
            await this.update(id, { ...dto });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<productDetailsPageMeta[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}