import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { UpdateLandingPageUiDto } from "./dto/update-landing-page-ui.dto";
import { LandingPageUiService } from "./landing-page-ui.service";

@Controller({ path: "landing-component-ui", version: Constants.API_VERSION_1 })

export class LandingPageUiController {
    constructor(private readonly service: LandingPageUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateLandingPageUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
