import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { OfferPopupOneUiService } from "./offer-popup-one-ui.service";
import { UpdateOfferPopupOneUiDto } from "./dto/update-offer-popup-one-ui.dto";

@Controller({ path: "offer-popup-one-component-ui", version: Constants.API_VERSION_1 })

export class OfferPopupOneUiController {
    constructor(private readonly service: OfferPopupOneUiService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
      @Body() dto: UpdateOfferPopupOneUiDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
