import { EntityRepository, Repository } from "typeorm";
import { UpdateOfferPopupOneUiDto } from "./dto/update-offer-popup-one-ui.dto";
import { OfferPopupOneUI } from "./entities/offer-popup-one-ui.entity";

@EntityRepository(OfferPopupOneUI)
export class OfferPopupOneUiRepository extends Repository<OfferPopupOneUI> {

    async createEntity(dto: UpdateOfferPopupOneUiDto): Promise<OfferPopupOneUI | Error> {
        try {
            const entity = this.create({
                popupbackgroundColor: dto.popupbackgroundColor,
                titleFontColor: dto.titleFontColor,
                subTitleFontColor: dto.subTitleFontColor,
                buttonOneBackgroundColor: dto.buttonOneBackgroundColor,
                buttonOneFontColor: dto.buttonOneFontColor,
                buttonTwoFontColor: dto.buttonTwoFontColor,
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateOfferPopupOneUiDto, id: string): Promise<OfferPopupOneUI | Error> {
        try {
            await this.update(id, {
                popupbackgroundColor: dto.popupbackgroundColor,
                titleFontColor: dto.titleFontColor,
                subTitleFontColor: dto.subTitleFontColor,
                buttonOneBackgroundColor: dto.buttonOneBackgroundColor,
                buttonOneFontColor: dto.buttonOneFontColor,
                buttonTwoFontColor: dto.buttonTwoFontColor,
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<OfferPopupOneUI[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}