import { Module } from "@nestjs/common";
import { TypeOrmModule } from "@nestjs/typeorm";
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { FileUploadsService } from "src/modules/file-uploads/file-uploads.service";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { ProductDetailsPageUiRepository } from "./product-details-page-ui.repository";
import { ProductDetailsPageUiController } from "./product-details-page-ui.controller";
import { ProductDetailsPageUiService } from "./product-details-page-ui.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductDetailsPageUiRepository])
    ],
    controllers: [ProductDetailsPageUiController],
    providers: [ProductDetailsPageUiService, JwtHelper, FileUploadsService, DoSpacesService, DoSpacesServicerovider]
})
export class ProductDetailsPageUiModule {
}