import { EntityRepository, Repository } from "typeorm";
import { UpdateShopBannerComponentUiDto } from "./dto/update-shop-banner-component-ui.dto";
import { ShopBannerComponentUiEntity } from "./entities/shop-banner-component-ui.entity";

@EntityRepository(ShopBannerComponentUiEntity)
export class ShopBannerComponentUiRepository extends Repository<ShopBannerComponentUiEntity> {

    async createEntity(dto: UpdateShopBannerComponentUiDto): Promise<ShopBannerComponentUiEntity | Error> {
        try {
            const entity = this.create({
                titleFontColor: dto.titleFontColor,
                subTitleFontColor: dto.subTitleFontColor,
                buttonBackgroundColor: dto.buttonBackgroundColor,
                buttonFontColor: dto.buttonFontColor
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateShopBannerComponentUiDto, id: string): Promise<ShopBannerComponentUiEntity | Error> {
        try {
            await this.update(id, {
                titleFontColor: dto.titleFontColor,
                subTitleFontColor: dto.subTitleFontColor,
                buttonBackgroundColor: dto.buttonBackgroundColor,
                buttonFontColor: dto.buttonFontColor
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ShopBannerComponentUiEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}