import { EntityRepository, getConnection, Repository } from "typeorm";
import { ProductEffectsEntity } from "./entities/product-effects.entity";

@EntityRepository(ProductEffectsEntity)
export class ProductEffectsRepository extends Repository<ProductEffectsEntity> {
    async findByFilterQuery(query: any): Promise<any | Error> {
        try {
            return await this.find({
                where: { ...query, isDeleted: false }
            });
        } catch (e) {
            return e;
        }
    }

    async createEntities(dtos: any): Promise<any | Error> {
        await getConnection()
          .createQueryBuilder()
          .insert()
          .into(ProductEffectsEntity)
          .values(dtos)
          .execute();
    }

    async deleteRowsFromDatabase(productIds: any): Promise<boolean> {
        const updateResult = await getConnection()
          .createQueryBuilder()
          .delete()
          .from(ProductEffectsEntity)
          .where("productId IN (:...ids)", { ids: productIds })
          .execute();

        return updateResult.affected > 0;
    }
}