import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { HomePageSectionEightController } from "./home-page-section-eight.controller";
import { HomePageSectionEightRepository } from "./home-page-section-eight.repository";
import { HomePageSectionEightService } from "./home-page-section-eight.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([HomePageSectionEightRepository])
    ],
    controllers: [HomePageSectionEightController],
    providers: [HomePageSectionEightService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class HomePageSectionEightModule {
}
