import { EntityRepository, getConnection, Repository } from "typeorm";
import { CreateHomePageSectionFiveDto } from "./dto/create-home-page-section-five.dto";
import { UpdateHomePageSectionFiveDto } from "./dto/update-home-page-section-five.dto";
import { HomePageSectionFive } from "./entities/home-page-section-five.entity";

@EntityRepository(HomePageSectionFive)
export class HomePageSectionFiveRepository extends Repository<HomePageSectionFive> {
    async createEntity(dto: CreateHomePageSectionFiveDto): Promise<HomePageSectionFive | Error> {
        try {
            const {
                // stateCode,
                // stateName,
                title,
                description,
                buttonText,
                buttonLink,
                image
            } = dto;
            const entity = this.create({
                // stateCode,
                // stateName,
                title,
                description,
                buttonText,
                buttonLink,
                image
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async findOneEntity(id: string): Promise<HomePageSectionFive | Error> {
        try {
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async updateEntity(id: string, dto: UpdateHomePageSectionFiveDto): Promise<HomePageSectionFive | Error> {
        try {
            await this.update(id, {
                // stateCode: dto.stateCode,
                // stateName: dto.stateName,
                title: dto.title,
                description: dto.description,
                buttonText: dto.buttonText,
                buttonLink: dto.buttonLink,
                image: dto.image
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findByFilterQuery(query: any): Promise<HomePageSectionFive[] | Error> {
        try {
            return await this.find({
                where: { ...query, isDeleted: false }
            });
        } catch (e) {
            return e;
        }
    }

    async findByStateCode(stateCode: string): Promise<any | Error> {
        try {
            let data = await this.find({
                // stateCode: stateCode,
                isDeleted: false
            })
            // if(Object.keys(data).length === 0) {
            //         data = await this.find({
            //             isDeleted: false
            //         });
            // }
            return data;
        } catch (e) {
            return e;
        }
    }

    async deleteEntity(id: string): Promise<boolean | Error> {
        try {
            const updateResult = await getConnection()
              .createQueryBuilder()
              .update(HomePageSectionFive)
              .set({ isDeleted: true })
              .where("id = :id", { id: id })
              .execute();
            if (updateResult.affected > 0) {
                return true;
            }
            return false;
        } catch (e) {
            return e;
        }
    }
}