import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { HomePageSectionTwoController } from "./home-page-section-two.controller";
import { HomePageSectionTwoRepository } from "./home-page-section-two.repository";
import { HomePageSectionTwoService } from "./home-page-section-two.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([HomePageSectionTwoRepository])
    ],
    controllers: [HomePageSectionTwoController],
    providers: [HomePageSectionTwoService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class HomePageSectionTwoModule {
}
