import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { LoggerModule } from "src/modules/logger/logger.module";
import { LoggerService } from "src/modules/logger/logger.service";
import { UsersRepository } from "src/modules/users/user.repository";
import { PostCheckoutServiceController } from "./post-checkout-service.controller";
import { PostCheckoutServiceRepository } from "./post-checkout-service.repository";
import { PostCheckoutServiceService } from "./post-checkout-service.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([PostCheckoutServiceRepository]),
        LoggerModule
    ],
    controllers: [PostCheckoutServiceController],
    providers: [PostCheckoutServiceService, LoggerService, JwtHelper]
})
export class PostCheckoutServiceModule {
}
