import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { RetailerImageGalleryRepository } from './retailer-image-gallery.repository';
import { RetailerImageGalleryController } from './retailer-image-gallery.controller';
import { RetailerImageGalleryService } from './retailer-image-gallery.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { UsersRepository } from 'src/modules/users/user.repository';
import { DoSpacesServicerovider } from 'src/modules/SpacesModule/SpacesService';
import { DoSpacesService } from 'src/modules/SpacesModule/SpacesService/doSpacesService';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([RetailerImageGalleryRepository])
    ],
    controllers: [RetailerImageGalleryController],
    providers: [RetailerImageGalleryService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class RetailerImageGalleryModule {}
