import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { StayEnlightenedController } from "./stay-enlightened.controller";
import { StayEnlightenedRepository } from "./stay-enlightened.repository";
import { StayEnlightenedService } from "./stay-enlightened.service";
import { MailSenderService } from "../mail-sender/mail-sender.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([StayEnlightenedRepository])
    ],
    controllers: [StayEnlightenedController],
    providers: [StayEnlightenedService, JwtHelper, MailSenderService]
})
export class StayEnlightenedModule {
}
