import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { WeeklyAdTagsController } from "./weekly-ad-tags.controller";
import { WeeklyAdTagsRepository } from "./weekly-ad-tags.repository";
import { WeeklyAdTagsService } from "./weekly-ad-tags.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([WeeklyAdTagsRepository])
    ],
    controllers: [WeeklyAdTagsController],
    providers: [WeeklyAdTagsService, JwtHelper]
})
export class WeeklyAdTagsModule {
}
